DotsDocs
Users

Retrieve a User

Get a user by their id.

GET
/v2/users/{user_id}

Get a user by their id.

AuthorizationBasic <token>

In: header

Path Parameters

user_id*string

Id of the user to fetch

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/users/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "first_name": "string",  "last_name": "string",  "email": "user@example.com",  "phone_number": {    "country_code": "string",    "phone_number": "string"  },  "verified": true,  "country": "string",  "auto_payout_enabled": true,  "default_payout_method": "ach",  "default_payout_method_details": {    "id": "string",    "platform": "ach",    "description": "string",    "mask": "string",    "email": "string",    "phone_number": "string",    "cash_tag": "string",    "country": "string",    "currency": "string",    "rtp_enabled": true,    "meta": null  },  "wallet": {    "amount": 0,    "withdrawable_amount": 0,    "credit_balance": 0  },  "status": "verified",  "compliance": {    "tax_id_collected": true,    "tax_id_verification": "not_required",    "address_collected": true,    "date_of_birth_collected": true,    "must_collect_1099": true,    "1099_collected": true,    "w8_ben_collected": true,    "flagged": true,    "id_verified": true,    "has_criminal_activity": true,    "background_check": {      "status": "not_started",      "updated": "2019-08-24T14:15:22Z"    },    "w9": {      "entity_type": "individual",      "business_name": "string",      "tax_id_collected": true,      "address_collected": true    },    "flags": {      "ofac": true,      "ofac_status": "unflagged",      "payout_method": true,      "payout_method_cycle": true,      "name_mismatch": true    }  },  "metadata": "string",  "payout_options_exclude_list": [    "ach"  ],  "1099_adjustment": {    "year": 0,    "form": "1099-NEC",    "amount": 1  }}